Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. LogItems
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
        GET
      • GET a list of log items
        GET
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  1. LogItems

GET one log item

GET
/clients/{clientno}/logitems/{logitemid}
Get details for one log item based on log item ID as path parameter

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Header Params

Responses

🟢200
application/json
Log item found
Headers

Body

🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//logitems/' \
--header 'Accept-Language;' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Log item
{
    "clientNo": 2218,
    "logItemId": 212050814,
    "jobDescription": "Leger/AR/GL report (cl 2218)",
    "generalDescription": "Ledger/AR/GL/adb report to file",
    "logMessage": "Product sales report/40, 1 client(s) treated. 450 item(s) reported",
    "reportFileName": "ADBreport_002218_20251001_092117.csv",
    "jobQueueId": 862437,
    "logFileId": 3866429,
    "jobCategory": "Batch",
    "jobSubCategory": "LedgerRpt",
    "jobUser": "Gyda/Invoicia",
    "logStatus": 300,
    "logTime": "2025-04-27T07:08:37.227+01:00",
    "totalCount": 450,
    "totalAmount": 55693.75,
    "arAccountNo": 0,
    "referenceNo": 0,
    "referenceSequenceNo": 0,
    "externalMemo": ""
}
Modified at 2026-04-14 09:49:15
Previous
GET a list of ADB intervals
Next
GET a list of log items
Built with